"""Migration File"""
# pylint: disable=C0103
# Generated by Django 4.2.11 on 2024-08-29 13:05

import django.core.validators
from django.db import migrations, models
import taggit.managers
import utilities.json


class Migration(migrations.Migration):
    """Migration Class"""

    dependencies = [
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_cert_plugin', '0011_alter_certificate_state'),
    ]

    operations = [
        migrations.CreateModel(
            name='CertificateAuthority',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ca_name', models.CharField(max_length=64)),
                ('acme_url', models.CharField(blank=True, max_length=256, null=True)),
                ('key_vault_url', models.CharField(blank=True, max_length=512, null=True)),
                ('start_date', models.DateField(blank=True, null=True)),
                ('end_date', models.DateField(blank=True, null=True)),
                ('default_validity', models.IntegerField(blank=True, null=True,
                validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(2000)])),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ['ca_name'],
            },
        ),
    ]
